# Changelog

## 2025-01-14 - 1.0.9 - fix(npm)
Updated package description and added more keywords for better visibility


## 2025-01-14 - 1.0.8 - fix(documentation)
Update README to reflect recent changes

- Updated package description for accuracy.
- Adjusted installation instructions for clarity.
- Added a new command-line interface example.
- Enhanced section on error handling with illustrative examples.
- Simplified integration guidelines with web servers using Express.

## 2025-01-14 - 1.0.7 - fix(core)
Improve error messages in renderText and listFonts methods

- Improved error handling in renderText and listFonts methods
- Ensure proper rejection messages during errors

## 2025-01-14 - 1.0.6 - fix(core)
Update .gitignore to improve ignored paths

- Ignored various build and cache directories to reduce clutter in the repository.
- Refactored .gitignore to categorize ignored paths for better readability and maintenance.

## 2025-01-14 - 1.0.5 - fix(package)
Fix scripts section in package.json by adding missing comma

- Corrected the JSON format in the scripts section by adding a missing comma between format and build scripts.

## 2025-01-14 - 1.0.4 - fix(core)
Removed unnecessary files and updated dependencies

- Removed .gitlab-ci.yml to streamline the CI/CD process
- Updated and fixed TypeScript files to align with ES Module syntax
- Removed obsolete dist files for a cleaner build
- Updated package.json to reflect current project configurations, including dependencies and scripts

## 2024-05-29 - 1.0.3 - Enhancements
Finalizing updates under version 1.0.3

- Updated project description

## 2023-07-10 to 2024-05-29 - 1.0.3 - Organizational Changes
Implemented significant organizational changes

- Switched to a new organizational scheme

## 2018-03-05 - 1.0.2 to 1.0.3 - Maintenance and Format Updates
Streamlined maintenance and formatting

- Updated code formatting for consistency
